package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class HostEthernetAdapter {
    private Metadata metadata;
    private String adapterID;
    private String adapterState;
    private String physicalLocationCode;
    private PortGroups portGroups;

    public HostEthernetAdapter() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getAdapterID() {
        return adapterID;
    }

    public void setAdapterID(String adapterID) {
        this.adapterID = adapterID;
    }

    public String getAdapterState() {
        return adapterState;
    }

    public void setAdapterState(String adapterState) {
        this.adapterState = adapterState;
    }

    public String getPhysicalLocationCode() {
        return physicalLocationCode;
    }

    public void setPhysicalLocationCode(String physicalLocationCode) {
        this.physicalLocationCode = physicalLocationCode;
    }

    public PortGroups getPortGroups() {
        return portGroups;
    }

    public void setPortGroups(PortGroups portGroups) {
        this.portGroups = portGroups;
    }

    @Override
    public String toString() {
        return "HostEthernetAdapter [metadata=" + metadata + ", adapterID=" + adapterID + ", adapterState="
            + adapterState + ", physicalLocationCode=" + physicalLocationCode + ", portGroups=" + portGroups + "]";
    }
}
